; pcsws.jsh: Header file for Personal Communications 3270 scripts
; Written by Matt King

const
;TERMINAL_SCREEN_CLASS1 = "PCSWS:Main:00400000",
;TERMINAL_SCREEN_CLASS2 = "PCSWS:Pres:00400000",
STATUSLINE_CONTROL_ID = 1,
TERMINAL_WINDOW_CONTROL_ID = 2,
BELL = 1, ; margin alert type
PC_BEEP = 2, ; margin alert type
LEADING = 0, ; used by strip function
TRAILING = 1, ; used by strip function
BOTH = 2 ; used by strip function

globals
int TerminalScreenEcho, ; on or off
int StatusLineEcho , ; on or off
int DeleteKeyPressed, ; boolean for tracking delete key in NewTextEvent and KeyPressedEvent
int BackspaceKeyPressed, ; boolean for tracking backspace key in newTextEvent and KeyPressedEvent
int DeleteWordKeyPressed, ; boolean for tracking alt+del and alt+extended del in key pressed and new text events
int MarginAlertCol,
string MarginBell,
int MarginAlertType, ; 0 = OFF, 1 = bell, 2 = beep
int InitializationSucceeded, ; boolean used to make sure necessary window handles have been obtained
handle StatusLineHandle,
handle TerminalWindowHandle